%define         anolis_release 1

Name:           lttng-ust
Version:        2.13.7
Release:        %{anolis_release}%{?dist}
Summary:        LTTng Userspace Tracer library

License:        LGPLv2 and GPLv2 and MIT
URL:            https://lttng.org
Source0:        https://lttng.org/files/lttng-ust/%{name}-%{version}.tar.bz2

Patch0001:      0001-lttng-gen-tp-shebang.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gnupg2
BuildRequires:  libtool
BuildRequires:  libuuid-devel
BuildRequires:  pkgconfig
BuildRequires:  systemtap-sdt-devel
BuildRequires:  userspace-rcu-devel >= 0.12.0
BuildRequires:  numactl-devel

%description
This library may be used by user-space applications to generate 
trace-points using LTTng.

%package        -n %{name}-devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       userspace-rcu-devel
Requires:       systemtap-sdt-devel

%description    -n %{name}-devel
The %{name}-devel package contains development files for using %{name}.

%package -n python3-lttngust
Summary:        Python bindings for LTTng UST
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  make
%{?python_provide:%python_provide python3-lttngust}
 
%description -n python3-lttngust
The python3-lttngust package contains libraries needed to instrument
applications that use %{name}'s Python logging backend.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
autoreconf -vif
%configure \
	--docdir=%{_docdir}/%{name} \
	--disable-static \
	--enable-python-agent \
	--with-sdt \
	--enable-numa
 
make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
rm -vf %{buildroot}%{_libdir}/*.la

%generate_compatibility_deps

%check
make check

%files
%{_libdir}/*.so.*
%{_mandir}/man3/do_tracepoint.3.zst
%{_mandir}/man3/lttng-ust.3.zst
%{_mandir}/man3/lttng-ust-cyg-profile.3.zst
%{_mandir}/man3/lttng-ust-dl.3.zst
%{_mandir}/man3/lttng_ust_do_tracepoint.3.zst
%{_mandir}/man3/lttng_ust_tracef.3.zst
%{_mandir}/man3/lttng_ust_tracelog.3.zst
%{_mandir}/man3/lttng_ust_tracepoint.3.zst
%{_mandir}/man3/lttng_ust_tracepoint_enabled.3.zst
%{_mandir}/man3/lttng_ust_vtracef.3.zst
%{_mandir}/man3/lttng_ust_vtracelog.3.zst
%{_mandir}/man3/tracef.3.zst
%{_mandir}/man3/tracelog.3.zst
%{_mandir}/man3/tracepoint.3.zst
%{_mandir}/man3/tracepoint_enabled.3.zst
%dir %{abidir}
%{abidir}/liblttng-ust*.dump

%files doc
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/ChangeLog
%{_docdir}/%{name}/java-agent.txt
%{_docdir}/%{name}/LICENSE
%{_docdir}/%{name}/README.md

%files -n %{name}-devel
%{_bindir}/lttng-gen-tp
%{abidir}/lttng-gen-tp-option.list
%{_mandir}/man1/lttng-gen-tp.1.zst
%{_prefix}/include/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lttng-ust*.pc
%dir %{_docdir}/%{name}/examples
%{_docdir}/%{name}/examples/*

%files -n python3-lttngust
%{python3_sitelib}/lttngust/
%{python3_sitelib}/lttngust-*.egg-info

%changelog
* Fri Mar 14 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.13.7-1
- Update to 2.13.7 from 2.13.5

* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 2.13.5-3
- Rebuild with python3.11

* Mon Mar 27 2023 Feng Su <sufeng@linux.alibaba.com>  - 2.13.5-2
- Correct lttng-gen-tp-shebang.patch

* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 2.13.5-1
- package init from upstream
